%define name perl-Convert-TNEF
%define real_name tnef
%define version 0.17

Name: %{name}
Version: %{version}
Summary: Tnef module for Perl
Release: rh9_1
License: GPL or Artistic
Group: 		System Environment/Libraries
Source0: http://www.cpan.org/authors/id/D/DO/DOUGW/Convert-TNEF-%{version}.tar.gz
Url: http://www.cpan.org
BuildArch: noarch
Buildroot: %{_tmppath}/%{name}-root
Requires: perl >= 5.6.0, perl-mimetools
BuildPrereq: perl-mimetools, perl-iostringy
#Patch0: perl-libnet-nointeractive.patch.bz2

%description
Tnef module for perl. Needed for Amavis-Perl

%prep
%setup -q -n Convert-TNEF-%{version}
#%patch0 -p1

%build
%{__perl} Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix}

%files
%defattr(-,root,root)
%doc README Changes MANIFEST
%{_libdir}/perl5/vendor_perl/
%{_mandir}/*/*

%changelog
* Tue Feb 10 2003 Ralf Spenneberg <ralf@spenneberg.net>
- Red Hat 9 release

* Mon Oct 21 2002 Ralf Spenneberg <ralf@spenneberg.de>
- Red Hat 8.0 release

* Mon Jan 21 2002 Ralf Spenneberg <ralf@spenneberg.de>
- First release
